Package org.apache.catalina.valves.rewrite

# Class Substitution.ServerVariableEnvElement

java.lang.Object
org.apache.catalina.valves.rewrite.Substitution.SubstitutionElement
org.apache.catalina.valves.rewrite.Substitution.ServerVariableEnvElement

Enclosing class:
  `Substitution`

public static class Substitution.ServerVariableEnvElement extends Substitution.SubstitutionElement

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `key`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServerVariableEnvElement()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `evaluate(Matcher rule, Matcher cond, Resolver resolver)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### key

    public String key

- ## Constructor Details

  - ### ServerVariableEnvElement

    public ServerVariableEnvElement()

- ## Method Details

  - ### evaluate

    public String evaluate(Matcher rule, Matcher cond, Resolver resolver)
    Specified by:
      `evaluate` in class `Substitution.SubstitutionElement`